Subject: Re: cygpath hangs from postinstall scripts when called like $(cygpath -S) but not otherwise
From: "Cliff Hones" <[email-masked]>
To: <[email-masked]>
Date: Sat, 4 Oct 2003 17:13:33 +0100

Igor Pechtchanski wrote:

> Oh, and this might explain why I'm not seeing the hang on my machine:
>
> $ cygcheck /bin/cygpath.exe
> C:/cygwin/bin/cygpath.exe
>   C:/cygwin/bin\cygwin1.dll
>     C:\WINNT\System32\KERNEL32.dll
>       C:\WINNT\System32\NTDLL.DLL
>   C:\WINNT\System32\SHELL32.DLL
>     C:\WINNT\System32\GDI32.DLL
>       C:\WINNT\System32\USER32.DLL
>     C:\WINNT\System32\ADVAPI32.DLL
>       C:\WINNT\System32\RPCRT4.DLL
>     C:\WINNT\System32\SHLWAPI.DLL
>     C:\WINNT\System32\COMCTL32.DLL
> $ cygpath --version
> cygpath (cygwin) 1.29
> Path Conversion Utility
> Copyright 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
> Compiled on Sep 20 2003
> $ cygcheck -cd cygwin
> Cygwin Package Information
> Package              Version
> cygwin               1.5.5-1
> $ uname -a
> CYGWIN_NT-5.0 pechtcha 1.5.5(0.94/3/2) 2003-09-20 16:31 i686 unknown
unknown Cygwin
> $
>
> I'm running on Win2k, which may be significant.

Well, that is strange.  I am also on Win2k, and cygcheck --version
shows exactly the same output as yours (which isn't surprising - my
machine is pretty well up to date).

Having said that, I've never experienced the hangup which others are
reporting - though I have seen the postinstall script in question
take ages to complete on an older, slower NT box.

The dependence is coming from shlwapi.dll.  Here is some info:

$ ls -l /d/winnt/system32/shlwapi.dll
-rwxrwxr-x+   1 Administ SYSTEM     395264 Jul 13 16:05
/d/winnt/system32/shlwapi.dll

$ cygcheck /d/winnt/system32/shlwapi.dll
D:/winnt/system32/shlwapi.dll
  D:/winnt/system32\msvcrt.dll
    D:/winnt/system32\KERNEL32.dll
      D:/winnt/system32\NTDLL.DLL
  D:/winnt/system32\GDI32.dll
    D:/winnt/system32\USER32.DLL
  D:/winnt/system32\ADVAPI32.dll
    D:/winnt/system32\RPCRT4.DLL

I suspect you will see something different.  I guess if on some Windows
systems shlwapi.dll has a dependence on msvcrt.dll, it is not safe
to call this from any cygwin app.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/